Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| ABLE 2.3.0 07/13/2005 14:21:00
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.able.rules
Class AbleInferenceContext

    java.lang.Object
      com.ibm.able.rules.AbleInferenceContext

All Implemented Interfaces:
  java.io.Serializable

public class AbleInferenceContext
extends java.lang.Object
implements java.io.Serializable

See Also:
  Serialized Form

Field Summary
`AbleClause` | `clause`
`java.lang.String` | `errorMsg`
`AbleLocation` | `location`
`AblePredicate` | `predicate`
`AbleRule` | `rule`
`AbleRuleBlock` | `ruleBlock`
`AbleRuleSet` | `ruleSet`

Constructor Summary
`AbleInferenceContext(AbleRuleSet rs)`

Method Summary
`int` | `getLine()`
`AbleLocation` | `getLocation()`
`java.lang.String` | `getStackFrame()` Return a formatted string for display as part of Inference Stack trace
`void` | `reset()` Clear all context information by setting all properties to null
`void` | `setClause(AbleClause theClause)`
`void` | `setPredicate(AblePredicate thePredicate)`
`void` | `setRule(AbleRule theRule)`
`void` | `setRuleBlock(AbleRuleBlock theRuleBlock)`
`java.lang.String` | `toString()` Return a formatted string for trace/debug of an able inference engine context

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ruleSet

    public AbleRuleSet ruleSet

### ruleBlock

    public AbleRuleBlock ruleBlock

### rule

    public AbleRule rule

### clause

    public AbleClause clause

### predicate

    public AblePredicate predicate

### errorMsg

    public java.lang.String errorMsg

### location

    public AbleLocation location

Constructor Detail

### AbleInferenceContext

    public AbleInferenceContext(AbleRuleSet rs)

Method Detail

### toString

    public java.lang.String toString()

  Return a formatted string for trace/debug of an able inference engine context

### getStackFrame

    public java.lang.String getStackFrame()

  Return a formatted string for display as part of Inference Stack trace

  Returns:
    formatted String

### reset

    public void reset()

  Clear all context information by setting all properties to null

### setRuleBlock

    public void setRuleBlock(AbleRuleBlock theRuleBlock)

### setRule

    public void setRule(AbleRule theRule)

### setClause

    public void setClause(AbleClause theClause)

### setPredicate

    public void setPredicate(AblePredicate thePredicate)

### getLocation

    public AbleLocation getLocation()

### getLine

    public int getLine()

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| ABLE 2.3.0 07/13/2005 14:21:00
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

(C) Copyright IBM Corporation 1999, 2005